#include "GuiOptions.h"


GuiOptions::GuiOptions(const TGWindow *p, const TGWindow *main, UInt_t w, UInt_t h) {
//	Dev2k2k* device = SingDev2k2k::getDev();

	fMain = new TGTransientFrame(p, main, w, h);
	fMain->SetLayoutBroken(kTRUE);
	fMain->Connect("CloseWindow()", "GuiOptions", this, "CloseWindow()");
   	fMain->DontCallClose(); // to avoid double deletions.

	grFits = new TGVButtonGroup(fMain,"Fits");
	grFits->MoveResize(5,5,w-10,150);
	fMain->AddFrame(grFits);
	
	tliDirFits = new TGLabel(grFits,"Directory for pictures");
	tliDirFits->MoveResize(20,20,220);
	grFits->AddFrame(tliDirFits);

	tltDirFits = new TGLabel(grFits,"device->getDirFits()");
	tltDirFits->MoveResize(20,40,220);
	grFits->AddFrame(tltDirFits);
	
	tbChangeDir = new TGTextButton(grFits,"Change");
	tbChangeDir->Connect("Clicked()","GuiOptions",this,"changeDir()");
	tbChangeDir->MoveResize(w-90,35,74);
	grFits->AddFrame(tbChangeDir);

	tliViewer = new TGLabel(grFits,"Viwer program (only name)");
	tliViewer->MoveResize(20,60,220);
	grFits->AddFrame(tliViewer);

	teViewer = new TGTextEntry(grFits);
	teViewer->SetText("device->getFitsViewer()");
	teViewer->SetMaxLength(100);
	teViewer->MoveResize(20,90,220);
	grFits->AddFrame(teViewer);
	
	tbClose = new TGTextButton(fMain,"Close");
	tbClose->Connect("Clicked()","GuiOptions",this,"CloseWindow()");
	tbClose->MoveResize(5,170);
	fMain->AddFrame(tbClose);
	
	//------------
	fMain->MapSubwindows();
	fMain->Layout();
	fMain->SetWindowName("Options");
	fMain->MapWindow();	
	// dialog mode
    gClient->WaitFor(fMain);

}

GuiOptions::~GuiOptions() {
	printf("DESTRUCTOR\n");
//	fMain->DeleteWindow();
}

void GuiOptions::CloseWindow() {
	printf("CLOSE WINDOW\n");
	delete this;
}


void GuiOptions::changeDir() {
}
