#ifndef __GUIOPTIONS__
#define __GUIOPTIONS__

#include <TApplication.h> 
#include <TGClient.h>
#include <TGButton.h>
#include <TGLabel.h>
#include <RQ_OBJECT.h>
#include <TGButtonGroup.h>
#include <TSystem.h>
#include <limits.h>
#include <TGFileDialog.h>
#include <TGButtonGroup.h>
#include <TGNumberEntry.h>
#include <TGTextEntry.h>
#include "Test2k2Gui.h"

class GuiOptions : public TGWindow {
	RQ_OBJECT("GuiOptions")
	protected:
		TGTransientFrame *fMain;
		
		// group fits
		TGVButtonGroup *grFits;
		TGTextButton *tbChangeDir;
		TGLabel *tliDirFits;
		TGLabel	*tltDirFits;
		TGTextButton *tbClose;
		TGLabel *tliViewer;
		TGTextEntry *teViewer;

	public:	
		GuiOptions(const TGWindow *p, const TGWindow *main, UInt_t w, UInt_t h);
		virtual ~GuiOptions();
		virtual void CloseWindow();
		void changeDir();
		
	ClassDef(GuiOptions,0)
};


#endif // __GUIOPTIONS__
